Bug 290318 - Cannot save playlist on disk
Summary: Cannot save playlist on disk
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.5-git
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2012-01-01 13:59 UTC by Dmitry
Modified: 2012-03-03 15:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2012-01-01 13:59:06 UTC
Version:           2.4.3 (using KDE 4.7.3) 
OS:                Linux




Reproducible: Always

Steps to Reproduce:
I try to save my playlist on disk:
1. Click "Save current playlist" icon at the bottom of Amarok.
2. Hold it until the menu appers.
3. Click on 'Save playlist to "Playlist files on disk"'


Actual Results:  
Nothing happens. No playlists appear in Playlists->Saved Playlists, no files on disk, whatever

Expected Results:  
I expect a "Save file" dialog to appear, so that I can choose name and location where the playlist will be saved, and a new playlist appearing in "Playlist files on disk"
Comment 1 Myriam Schweingruber 2012-01-01 23:44:50 UTC
Indeed, this is a regression persisting in Amarok 2.5, it is no longer possible to save to disk.
Comment 2 Bart Cerneels 2012-02-01 07:25:12 UTC
I can't reproduce the problem on v2.5.0-105-g8d103cf. Assume closed.
Comment 3 Myriam Schweingruber 2012-02-01 21:14:20 UTC
Definitely reproducible here, latest git build.
Comment 4 Bart Cerneels 2012-02-06 09:26:24 UTC
Let's analyze this a bit.

1) If you save to disk, then restart. Does the playlist show up. Start with an empty saved playlist section to test.

2) is the folder $KDEHOME/share/apps/amarok/playlists/ writeable?

3) disk full?


I'm guessing the file actually gets saved if 2 and 3 are positive and that this is just a view bug.
Comment 5 Dmitry 2012-02-06 22:57:33 UTC
Started working after upgrading to Amarok 2.5 and KDE 4.8.0, the playlist appears in $KDEHOME/share/apps/amarok/playlists/
Comment 6 shaddowy2 2012-02-07 19:20:31 UTC
It still doesn't work for me. Amarok 2.5, KDE 4.8.

2.) The folder has rwx rights for the owner and owner-group, r-x for misc.
3.) Plenty of disk space, around 80 gb.

Deleted all saved playlists (both database and disk) and the actual playlist. Restarted Amarok.
Added some songs to the playlist. Pressed long the button to save to disk. Multiple times. Nothing happens. The folder stays empty.
Press short to save playlist to database. Works as expected.


Right before sending my comment I played around further and once it was possible to save to disk, even multiple times. One amarok restart later it didn't work again. Tried several times, never happened again :(

How can I help to debug the problem?
Comment 7 Myriam Schweingruber 2012-02-09 21:30:26 UTC
Same for me, still reproducible, plenty of disk space, all permissions OK, doesn't show up on restart.
Comment 8 Bart Cerneels 2012-02-10 08:40:55 UTC
(In reply to comment #7)
> Same for me, still reproducible, plenty of disk space, all permissions OK,
> doesn't show up on restart.

kdelibs and Qt version? Anything else special (like $KDEHOME)
Comment 9 shaddowy2 2012-02-10 11:55:49 UTC
My versions:
kdelibs: 4.8.0-0ubuntu1~oneiric1~ppa1
Libqt: 4.7.4-0ubuntu8.1

My KDE files are stored at /home/daniel/.kde/, e.g. /home/daniel/.kde/share/apps/amarok. That should be the default path I think?
Comment 10 Myriam Schweingruber 2012-02-10 15:08:46 UTC
KDE 4.8, Qt 4.7.4, Amarok 2.5-git, 
git log commit c0fd29ef835b9fa904ec462ad7327e03638ec3d0
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Feb 10 09:52:25 2012 +0100

Saved to disk, updated collection, restarted Amarok, the playlist never shows in the saved on disk section.
Comment 11 Bart Cerneels 2012-02-10 16:11:49 UTC
(In reply to comment #10)
> KDE 4.8, Qt 4.7.4, Amarok 2.5-git, 
> git log commit c0fd29ef835b9fa904ec462ad7327e03638ec3d0
> Author: Script Kiddy <scripty@kde.org>
> Date:   Fri Feb 10 09:52:25 2012 +0100
> 
> Saved to disk, updated collection, restarted Amarok, the playlist never shows
> in the saved on disk section.

Is the file present in $KDEHOME/share/apps/amarok/playlists? If there are some, clear them, start Amarok and check after saving.
Comment 12 Myriam Schweingruber 2012-02-10 18:23:13 UTC
That folder is empty and remains empty even after saving and restarting. Permissions are 700 by default, even changing to 777 doesn't change the problem.
Apparently Amarok doesn't write to that folder at all.
Comment 13 Matěj Laitl 2012-03-03 15:25:30 UTC
Git commit cb78122a2d18833c4ec3a04a01664cbda649240f by Matěj Laitl.
Committed on 03/03/2012 at 16:03.
Pushed by laitl into branch 'master'.

Allow saving of file playlists with a dot in name

BUGFIXES:
 * Playlists with a dot in name can now be saved to Playlist Files on Disk.
FIXED-IN: 2.6

M  +1    -0    ChangeLog
M  +9    -16   src/playlistmanager/file/PlaylistFileProvider.cpp
M  +0    -1    src/playlistmanager/file/PlaylistFileProvider.h

http://commits.kde.org/amarok/cb78122a2d18833c4ec3a04a01664cbda649240f